clc;
clear all;
close all;
%% definovani grafu
% s=[1 2 2 3 3 4];
% t=[2 1 3 2 4 3];  %linka
% s=[1 2 3 4];
% t=[2 3 4 1]; %ctverec
% s=[1 2 3 3 3 4 4 5];
% t=[3 3 1 2 4 3 5 4]; %hvezda
% s=[1 1 1 1 2 2 2 3 3 3 4 4 4 5 5 5];
% t=[2 3 4 5 1 3 5 1 2 4 1 3 5 1 2 4]; %ctverec se stredem
% s=[ 1 1 1 2 2 3 3 4 4 5 ];
% t=[ 4 3 2 4 5 2 5 3 5 1 ];%petiuhelnik s vazbami
s=[1 1 2 2 3 3 4 4 5 5];
t=[2 5 3 1 4 2 5 3 1 4]; %petiuhelnik
G=digraph(s,t);
figure;
plot(G)
x0=[8.24 8.42 7.63 7.63 8.42]; %pocatecni podminky
%% vypocet diferencialni rovnice
[t,x0]=ode45(@fundiff,[0, 85],x0',[]);
%% vykresleni
figure;
for i = 1:5
 plot(t,x0(:,i))
 hold on
end
title('Konsenzus algoritmus')
xlabel('t[s]')
ylabel('x')
xlim([0 85])
grid on;
legend('gen 1','gen 2', 'gen 3', 'gen 4', 'gen 5')
